<!DOCTYPE html>
<html lang="en">

<head>
    <title>Chi tiết đơn hàng</title>
    <meta charset='utf-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">
    <div class="container jumbotron">
        <div class="row mb-5">
            <div class="col-12 text-center">
                <h4>ORDER DETAIL</h4>
            </div>
        </div>
        <div class="row form-group">
            <label class="col-2 col-form-label">Mã đơn</label>
            <div class="col-4">
                <input class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-2 col-form-label">Kích cỡ</label>
            <div class="col-4">
                <input class="form-control">
            </div>
            <label class="col-2 col-form-label">Đường kính</label>
            <div class="col-4">
                <input class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-2 col-form-label">Sườn</label>
            <div class="col-4">
                <input class="form-control">
            </div>
            <label class="col-2 col-form-label">Salad</label>
            <div class="col-4">
                <input class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-2 col-form-label">Loại Pizza</label>
            <div class="col-4">
                <input class="form-control">
            </div>
            <label class="col-2 col-form-label">Voucher</label>
            <div class="col-4">
                <input class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-2 col-form-label">Thành tiền</label>
            <div class="col-4">
                <input class="form-control">
            </div>
            <label class="col-2 col-form-label">Giảm giá</label>
            <div class="col-4">
                <input class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-2 col-form-label">Nước uống</label>
            <div class="col-4">
                <input class="form-control">
            </div>
            <label class="col-2 col-form-label">Số lượng</label>
            <div class="col-4">
                <input class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-2 col-form-label">Họ và tên</label>
            <div class="col-4">
                <input class="form-control">
            </div>
            <label class="col-2 col-form-label">Email</label>
            <div class="col-4">
                <input class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-2 col-form-label">Điện thoại</label>
            <div class="col-4">
                <input class="form-control">
            </div>
            <label class="col-2 col-form-label">Địa chỉ</label>
            <div class="col-4">
                <input class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-2 col-form-label">Lời nhắn</label>
            <div class="col-4">
                <input class="form-control">
            </div>
            <label class="col-2 col-form-label">Trạng thái</label>
            <div class="col-4">
                <input class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-2 col-form-label">Ngày tạo</label>
            <div class="col-4">
                <input class="form-control">
            </div>
            <label class="col-2 col-form-label">Ngày cập nhật</label>
            <div class="col-4">
                <input class="form-control">
            </div>
        </div>
        <div class="row">
            <div class="col-12 mt-3 text-center">
                <a href="Task25.40.create.order.html" class="btn btn-secondary">Quay lại</a>
                <button class="btn btn-success">Xác nhận</button>
            </div>
        </div>
    </div>
</body>

<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // function xử lý sự kiển load trang/F5
    function onPageLoading() {
        // B1: Thu thập dữ liệu
        let vOrderCode = getOrderCode();
        console.log("Order Code: " + vOrderCode);
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // function lấy mã đơn hàng trên query string
    function getOrderCode() {
        let vUrl = new URL(window.location.href);
        let vOrderCode = vUrl.searchParams.get("code");
        return vOrderCode;
    }

</script>

</html>